Hilfsprogramme, die für GNUmed installiert sein müssen

(diese Pakete werden bei der Installation "GNUmed-Klient/-Server als Komplett-Paket" bei Bedarf mitinstalliert)

Mit einer DSL-Verbindung sollte das Herunterladen der Komponenten nur wenige Minuten dauern. Es ist zu beachten, dass obwohl die kleineren Pakete schneller heruntergeladen sein können als das Python-Paket, sollte abgewartet werden bis alle Einzel-Pakete heruntergeladen sind, damit diese in der richtigen Reihenfolge installiert werden. Wenn es der Internet-Browser erlaubt, kann die Installation direkt aus dem Browser-Download-Fenster erfolgen. Es kann einfach auf "Weiter" und "Ok" gedrückt werden. Die Installation der Einzelpakete sollte nicht länger als eine Minute dauern. Bei einigen geht es sogar schneller. Ein ZIP-Archiv, das alle oben genannten Pakete enthält, ist hier zum Download erhältlich.

Informationen für Entwickler

Versionshistorie hier, Informationen zum Packen von Paketen BinaryPackages

v0.2.6 bis 1.1.4 - veraltet

  • GNUmed prerequisites Eine Zusammenstellung aller Einzel-Pakete, alle Pakete müssen in dieser Reihenfolge installiert werden
Das Paket beinhaltet
  • Python 2.5.4 ist die Programmiersprache, in der GNUmed programmiert ist.
  • psycopg2 (2.0.8) wird gebraucht, um mit der PostgreSQL-Datenbank Verbindung aufzunehmen
  • egenix mxTools stellt Unterstützung für die Handhabung von Zeit und Datum bereit
  • wxPython 2.8.11 unicode version zeichnet die Oberfläche von GNUmed
  • PIL 1.1.6 sorgt für die Handhabung von Bildern im GNUmed-Archiv
  • Twainmodule Python-Twain-Brücke: bindet Scanner an GNUmed an

v0.2.3 bis 0.2.5.1 - veraltet

v0.2.0 - veraltet

v0.1 - historisch

Topic revision: 31 Dec 2011, SebastianHilbert
 
Download.png
This site is powered by the TWiki collaboration platformCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding Foswiki? Send feedback
Powered by Olark